Bug 969839 - “iscsiadm -R” failed rescan session running through the target
“iscsiadm -R” failed rescan session running through the target
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
6.4
x86_64 Linux
unspecified Severity urgent
: rc
: ---
Assigned To: Chris Leech
vvyazmin@redhat.com
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 12:19 EDT by vvyazmin@redhat.com
Modified: 2013-06-03 07:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-03 07:49:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
## Logs rhevm, vdsm (14.38 MB, application/x-gzip)
2013-06-02 12:19 EDT, vvyazmin@redhat.com
no flags Details

  None (edit)
Description vvyazmin@redhat.com 2013-06-02 12:19:25 EDT
Created attachment 755993 [details]
## Logs rhevm, vdsm

Description of problem: “iscsiadm -R” failed rescan session running through the target

Version-Release number of selected component (if applicable):
RHEVM 3.2 - SF17.1 environment: 

RHEVM: rhevm-3.2.0-11.28.el6ev.noarch 
VDSM: vdsm-4.10.2-21.0.el6ev.x86_64 
LIBVIRT: libvirt-0.10.2-18.el6_4.5.x86_64 
QEMU & KVM: qemu-kvm-rhev-0.12.1.2-2.355.el6_4.3.x86_64 
SANLOCK: sanlock-2.6-2.el6.x86_64

How reproducible:
100%

Steps to Reproduce:

1. Create iSCSI DC with 50 hosts (in my case 50 fake hosts)
2. Add first Storage Domain
3. Add second SD
4. Maintenance all hosts
5. Force Remove current DC
6. Create a new iSCSI DC and add all 50 hosts from previous step
7. Activate all hosts
8. Try create first Storage Domain
  
Actual results:
Some host get non-responsive states

Expected results:
Succeed create first Storage Domain

Impact on user:

Investigation: 
During investigation we found following:
“multipath -ll” command nothing show, or show old connections and not relevant information
“vgs” command nothing show, or show old connections and not relevant information
“iscsiadm -m session -R” not reload a new information about  LUN's
“multipath -r” not reload a new connections 

RPM: iscsi-initiator-utils-6.2.0.873-2.el6.x86_64

Workaround:
1. disconnect from all iSCSI session
* iscsiadm -m session -u
* iscsiadm -m node -o delete
2. manually reconnect again
* iscsiadm -m discoverydb --discover -t st -p 10.35.160.107
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.a6
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.a7
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.b6
* iscsiadm -m node -l -T iqn.1992-04.com.emc:cx.ckm00121000438.b7

Additional info:

/var/log/ovirt-engine/engine.log
2013-05-26 17:34:03,267 INFO  [org.ovirt.engine.core.vdsbroker.VdsManager] (QuartzScheduler_Worker-1) [3f33ec20] Server failed to respond, vds_id = 5fdbbd6c-0530-498a-adab-4594a
84adac9, vds_name = Fake_Host_033, vm_count = 0, spm_status = None, non-responsive_timeout (seconds) = 60, error = java.util.concurrent.TimeoutException

/var/log/vdsm/vdsm.log

Note You need to log in before you can comment on or make changes to this bug.